Package org.drinkless.tdlib

# Class TdApi.SuggestedActionCustom

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SuggestedAction
org.drinkless.tdlib.TdApi.SuggestedActionCustom

Enclosing class:
  `TdApi`

public static class TdApi.SuggestedActionCustom extends TdApi.SuggestedAction
A custom suggestion to be shown at the top of the chat list.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.SuggestedAction

  `TdApi.SuggestedAction.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `description`
  Description of the suggestion.
  `String`
  `name`
  Unique name of the suggestion.
  `TdApi.FormattedText`
  `title`
  Title of the suggestion.
  `String`
  `url`
  The link to open when the suggestion is clicked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestedActionCustom()`
  A custom suggestion to be shown at the top of the chat list.
  `SuggestedActionCustom(String name, TdApi.FormattedText title, TdApi.FormattedText description, String url)`
  A custom suggestion to be shown at the top of the chat list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name
    Unique name of the suggestion.

  - ### title

    public TdApi.FormattedText title
    Title of the suggestion.

  - ### description

    public TdApi.FormattedText description
    Description of the suggestion.

  - ### url

    public String url
    The link to open when the suggestion is clicked.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SuggestedActionCustom

    public SuggestedActionCustom()
    A custom suggestion to be shown at the top of the chat list.

  - ### SuggestedActionCustom

    public SuggestedActionCustom(String name, TdApi.FormattedText title, TdApi.FormattedText description, String url)
    A custom suggestion to be shown at the top of the chat list.
    Parameters:
      `name` - Unique name of the suggestion.
      `title` - Title of the suggestion.
      `description` - Description of the suggestion.
      `url` - The link to open when the suggestion is clicked.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.SuggestedAction`
    Returns:
      this.CONSTRUCTOR